export class MfeConfigurationProvider {
  private static config; // way to avoid webpack optimization
  public static MFE_BASE_URL = process.env.MFE_BASE_URL || '';
  public static BASE_COMPONENT_ATTRIBUTE = 'mfe-webbpm-account-applications';

  public static getPageBaseUrl(): string {
    return this.config.PAGE_BASE_URL
  }

  public static setPageBaseUrl(pageBaseUrl: string) {
    if (!this.config) this.config = {};
    this.config.PAGE_BASE_URL = pageBaseUrl;
  }
}
